#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARM64a5364"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64"
#define ATL_DKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_DKC "/usr/bin/gcc"
#define ATL_SKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_SKC "/usr/bin/gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a53 -mtune=cortex-a53 -fexpensive-optimizations -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_DMC "/usr/bin/gcc"
#define ATL_SMCFLAGS "-O2 -mcpu=cortex-a53 -mtune=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_SMC "/usr/bin/gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/ATLAS/aarch64_base/include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include -I/builddir/build/BUILD/ATLAS/aarch64_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64 -DWALL -DATL_NCPU=2 -mcpu=cortex-a53 -mtune=cortex-a53 -O2 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_ICC "/usr/bin/gcc"
#define ATL_F77FLAGS "-O2 -mcpu=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fstack-protector-strong -fstack-clash-protection -fPIC -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "gcc (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_SKCVERS "gcc (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_DMCVERS "gcc (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_SMCVERS "gcc (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_ICCVERS "gcc (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_F77VERS "GNU Fortran (Tencent Compiler 12.3.1) 12.3.1 20230912 (OpenCloudOS 12.3.1-2)"
#define ATL_SYSINFO "Linux builder1.aarch64.opencloudos.tech 5.4.119-19.0009.32 #1 SMP Sun Jul 16 17:52:24 CST 2023 aarch64 GNU/Linux"
#define ATL_DATE    "Mon Jan  8 06:17:52 CST 2024"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
